package com.seer.teach.mp.admin.convert;

import com.seer.teach.mp.admin.controller.req.MpAccountReq;
import com.seer.teach.mp.admin.controller.resp.AdminMpAccountResp;
import com.seer.teach.mp.entity.MpAccountEntity;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

@Mapper
public interface AdminMpAccountConvert {

    AdminMpAccountConvert INSTANCE = Mappers.getMapper(AdminMpAccountConvert.class);

    MpAccountEntity convertOne(MpAccountReq req);

    AdminMpAccountResp convertOne(MpAccountEntity req);

    List<MpAccountEntity> convertList(List<MpAccountReq> list);


    List<AdminMpAccountResp> convertRespList(List<MpAccountEntity> list);
}